package cz.frantovo.hibernateDemo1;

import cz.frantovo.hibernateDemo1.dto.Cil;
import java.util.Collection;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 *
 * @author fiki
 */
@Stateless
public class CilDAOBean implements CilDAORemote {

    private static final String PU = "HibernateDemo1-PU";
    @PersistenceContext(unitName = PU)
    private EntityManager em;

    public Collection<Cil> getCile() {
        Query dotaz = em.createQuery("from " + t(Cil.class) + " o order by nazev");
        return dotaz.getResultList();
    }

    private static String t(Class trida) {
        return trida.getSimpleName();
    }
}
